## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaIndex

### DatabaseSchema::ezcDbSchemaIndex

### Class ezcDbSchemaIndex

A container to store a table index in.

Source for this file: /DatabaseSchema/src/structs/index.php

    ezcBaseStruct
       |
       --ezcDbSchemaIndex

Version: | //autogentag//

### Member Variables

public array(string=>ezcDbSchemaIndexField) | `$indexFields` The fields that make up this index The array is indexed with the name of the field.
public bool | `$primary` Whether this is the primary index for a table.
public bool | `$unique` Whether entries in this index need to be unique.

### Method Summary

public static void | `__set_state( $array )`
public ezcDbSchemaIndex | `__construct( $indexFields , [ $primary = false] , [ $unique = true] )` Constructs an ezcDbSchemaIndex object.

### Methods

#### __set_state

static void __set_state( $array )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array |

#### __construct

ezcDbSchemaIndex __construct( array(string=>ezcDbSchemaIndexField) $indexFields , [bool $primary = false] , [bool $unique = true] )

Constructs an ezcDbSchemaIndex object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$indexFields` | array(string=>ezcDbSchemaIndexField) |
`$primary` | bool |
`$unique` | bool |

Documentation generated by phpDocumentor 1.4.3